Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692201 - Gnome panel height does not adjust for HiDPI displays
Summary: Gnome panel height does not adjust for HiDPI displays
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-25 01:19 UTC by Steevithak
Modified: 2019-03-30 17:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Steevithak 2019-03-25 01:19:29 UTC
Description of problem:
I installed Fedora 29 on a new system that has a Dell U2718Q 4k monitor. In order to display fonts with correct point sizes, a scaling factor of 1.7 was needed on the Gnome Tweak program's "font" dialog. This scales up most of the GNOME desktop to the correct size but the top bar / panel remains at the original height and is now to too small to contain the fonts, cutting off the bottom edge of the letters. 

Version-Release number of selected component (if applicable):
Unknown, this is Fedora 29 with the latest updates as of 24 Mar, 2019

How reproducible:
always

Steps to Reproduce:
1. Install Fedora on system with a 4K 27" monitor
2. Use GNOME Tweak program to set Font scaling to 1.7 or larger
3. 

Actual results:
GNOME top bar fails to adjust to font size and cuts off bottom edge of characters

Expected results:
GNOME top bar should adjust its height to match the font size as other component of GNOME do

Additional info:
If anyone knows a temporary work-around that would allow to make the top bar bigger until the bug is fixed, please let me know

Comment 1 Steevithak 2019-03-30 17:09:32 UTC
I discovered that after rebooting the system for unrelated reasons that the top bar expanded and now looks correct, so this might be a work around for anyone else experiencing the bug. It appears the real bug is that the top bar, unlike all the other Gnome UI elements, doesn't fully adjust to configuration changes normally (e.g. the font gets bigger but the bar height doesn't change), but does pick them after a reboot. I don't think most people would catch on to this unless they're Window users who expect to reboot constantly for changes to take effect. I generally would not reboot my system unless something fairly major changed.


Note You need to log in before you can comment on or make changes to this bug.